#/bin/bash

unameOut="$(uname -s)"
case "${unameOut}" in
    Linux*)     
      machine=Linux;;
    Darwin*)    
      machine=Mac;;
    CYGWIN*)    
      machine=Cygwin;;
    MINGW*)     
      machine=MinGw;;
    MSYS_NT*)   
      machine=Git;;
    *)          
      machine="UNKNOWN:${unameOut}"
esac

if [ "$machine" = "Mac" ]
then
brew tap homebrew/cask-fonts
brew install font-hack-nerd-font
fi

if [ "$machine" = "Linux" ]
then
echo "[-] Download fonts [-]"
wget https://github.com/ryanoasis/nerd-fonts/releases/download/v2.1.0/DroidSansMono.zip
unzip DroidSansMono.zip -d ~/.fonts
fc-cache -fv
echo "done!"
fi
